package com.yihu.hos.standard.model.standard;

import com.yihu.hos.web.framework.model.Result;

import java.io.Serializable;

/**
 * 标准基本信息
 *
 * @created Airhead 2015/12/23.
 */
public class StandardModel extends Result implements Serializable {

    private Integer id;

    private String name;

    private String code;

    private String publisher;

    private String publisherOrgCode;

    private String summary;

    private String refStandard;

    private String refStandardVersion;

    private Integer versionStatus;

    public StandardModel(){

    }

    public StandardModel(StandardModel standardModel){
        this.id = standardModel.id;
        this.name = standardModel.name;
        this.code = standardModel.code;
        this.publisher = standardModel.publisher;
        this.publisherOrgCode = standardModel.publisherOrgCode;
        this.summary = standardModel.summary;
        this.refStandard = standardModel.refStandard;
        this.refStandardVersion = standardModel.refStandardVersion;
        this.versionStatus = standardModel.versionStatus;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }

    public String getPublisherOrgCode() {
        return publisherOrgCode;
    }

    public void setPublisherOrgCode(String publisherOrgCode) {
        this.publisherOrgCode = publisherOrgCode;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getRefStandard() {
        return refStandard;
    }

    public void setRefStandard(String refStandard) {
        this.refStandard = refStandard;
    }

    public String getRefStandardVersion() {
        return refStandardVersion;
    }

    public void setRefStandardVersion(String refStandardVersion) {
        this.refStandardVersion = refStandardVersion;
    }

    public Integer getVersionStatus() {
        return versionStatus;
    }

    public void setVersionStatus(Integer versionStatus) {
        this.versionStatus = versionStatus;
    }
}
